Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class DirException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.fujitsu.iflow.model.util.ModelException
                  com.fujitsu.iflow.model.util.DirException

All Implemented Interfaces:
  java.io.Serializable

public class DirException
extends ModelException

Catch only exceptions of the `ModelException` superclass for future compatibility. `DirException` indicates that a directory operation error has occurred in the Directory Service Adapter. It is thrown when a `DIRAdapterInterface.DIROperationFailed` exception is caught by the Model API.

See Also:
  `ModelException`, `DMSException`, `WFInternalException`, `ModelInternalException`, `WFServerException`, Serialized Form

Field Summary

Fields inherited from class com.fujitsu.iflow.model.util.ModelException
`params`

Constructor Summary
`DirException(java.lang.Exception source)` Initializes the newly created Directory Exception with an `Exception` object.
`DirException(java.lang.Exception source, int errorCode, java.lang.String errorMessage)` Initializes newly created `DirException` object with specified `Exception` object, error code, and string.
`DirException(int errorCode)` Initializes newly created `DirException` object with specified error code.
`DirException(int errorCode, java.lang.Exception source)` Initializes newly created `DirException` object with specified `Exception` object and error code.

Methods inherited from class com.fujitsu.iflow.model.util.ModelException
`getCause, getErrorCode, getExceptionType, getMessage, getParam, getParams, getSource, getTemplate, printException, printStackTrace, setExceptionType, setParam, setParam, setParam, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirException

    public DirException(int errorCode)

  Initializes newly created `DirException` object with specified error code.

Parameters:
  `errorCode` - The code to be associated with the `DirException`.

### DirException

    public DirException(java.lang.Exception source)

  Initializes the newly created Directory Exception with an `Exception` object.

Parameters:
  `source` - The source exception to be associated with the `DirException`.

### DirException

    public DirException(java.lang.Exception source,
                        int errorCode,
                        java.lang.String errorMessage)

  Initializes newly created `DirException` object with specified `Exception` object, error code, and string.

Parameters:
  `source` - The source Exception object to be associated with the `DirException`.
  `errorCode` - The code to be associated with the `DirException`.

### DirException

    public DirException(int errorCode,
                        java.lang.Exception source)

  Initializes newly created `DirException` object with specified `Exception` object and error code.

Parameters:
  `source` - The source Exception object to be associated with the `DirException`.
  `errorCode` - The code to be associated with the `DirException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD